import { html as a } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, n = (p, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, i) : t, l = p.length - 1, o; l >= 0; l--)
    (o = p[l]) && (e = (r ? o(t, i, e) : o(e)) || e);
  return r && e && m(t, i, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--switzerland", this.class = "c-pieIcon c-pieIcon--switzerland", this.name = "IconFlagSwitzerland";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--switzerland"><path fill="#D80027" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14Z"></path><path fill="#EEE" d="M11.653 6.783H9.22V4.35H6.783v2.433H4.35v2.434h2.433v2.433h2.434V9.217h2.433l.003-2.434Z"></path></svg>`;
  }
};
n([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
n([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = n([
  f("icon-flag-switzerland")
], s);
export {
  s as IconFlagSwitzerland
};
